---
title: Create
url: https://www.tines.com/docs/api/cases/fields/create/
updated: 2026-04-01T09:17:50+00:00
description: Add a field to a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Fields](https://www.tines.com/llm/docs/api/cases/fields.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/cases/fields/create/)*

## Description

Add a field to a case.

## Request

HTTP Method: **POST**

| Parameter | Description                                          |
| --------- | ---------------------------------------------------- |
| input_id  | The ID of the case input to the used with the field. |
| value     | The value of the field.                              |

| Path Parameter | Description         |
| -------------- | ------------------- |
| case_id        | The ID of the case. |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/fields \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "input_id": 1,
        "value": "This is a field on a case"
      }'
```

## Response

A successful request will return a JSON object describing the updated case

### Field description

| Parameter | Description           |
| --------- | --------------------- |
| case_id   | The ID of the case.   |
| field     | Details of the field. |

| Field parameter | Description                                                                                        |
| --------------- | -------------------------------------------------------------------------------------------------- |
| id              | The field ID.                                                                                      |
| value           | The value of the field.                                                                            |
| case_input      | An object containing the ID, name, key, validation_type, and validation_options of the case input. |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "field": {
    "id": 1,
    "value": "high",
    "case_input": {
      "id": 1,
      "key": "priority",
      "name": "Priority",
      "validation_type": "options",
      "validation_options": {
        "options": ["low", "medium", "high", "critical"]
      }
    }
  }
}
```

<!-- cspell:enable -->
